import java.util.*;
/**
 * A little class to use the clobber board.
 * The reads in the board for a file and then makes a couple
 * of canned moves
 * @author gtowell
 *
 */
public class Clobber
{

	/**
	 * @param args
	 */
	public static void main ( String[] args )
	{
		ClobberBoard cb=new ClobberBoard(args[0]);
		System.out.println(cb);
		ArrayList<Amove> ams = cb.legalMoves('w');
		for (Amove aa : ams)
			System.out.println(aa);
		cb.makeMove(new Amove(0,0,0,1));
		System.out.println(cb);
		cb.makeMove(new Amove(7,2,6,2));
		System.out.println(cb);
		cb.makeMove(new Amove(3,0,4,0));
		System.out.println(cb);
		cb.makeMove(new Amove(3,0,4,0));
		System.out.println(cb);
	}

}
